Package owl.automaton.acceptance

## Class NoneAcceptance

- java.lang.Object
- - owl.automaton.acceptance.OmegaAcceptance
  - - owl.automaton.acceptance.NoneAcceptance

-     public final class NoneAcceptance
      extends OmegaAcceptance

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NoneAcceptance` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `acceptanceSets()` |
    `BitSet` | `acceptingSet()` |
    `jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance>` | `booleanExpression()` | Builds the canonical representation as `BooleanExpression`.
    `boolean` | `isWellFormedEdge​(Edge<?> edge)` | This method determines if the given edge is a well defined edge for this acceptance condition.
    `String` | `name()` |
    `BitSet` | `rejectingSet()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class owl.automaton.acceptance.OmegaAcceptance

      `isWellFormedAutomaton, nameExtra, toString`

- - ### Field Detail

    - #### INSTANCE

          public static final NoneAcceptance INSTANCE

  - ### Method Detail

    - #### acceptanceSets

          public int acceptanceSets()

      Specified by:
        `acceptanceSets` in class `OmegaAcceptance`

    - #### booleanExpression

          public jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance> booleanExpression()

      Description copied from class: `OmegaAcceptance`
      Builds the canonical representation as `BooleanExpression`.
      Specified by:
        `booleanExpression` in class `OmegaAcceptance`

    - #### name

          public String name()

      Specified by:
        `name` in class `OmegaAcceptance`

    - #### acceptingSet

          public BitSet acceptingSet()

      Specified by:
        `acceptingSet` in class `OmegaAcceptance`

    - #### rejectingSet

          public BitSet rejectingSet()

      Specified by:
        `rejectingSet` in class `OmegaAcceptance`

    - #### isWellFormedEdge

          public boolean isWellFormedEdge​(Edge<?> edge)

      Description copied from class: `OmegaAcceptance`
      This method determines if the given edge is a well defined edge for this acceptance condition. E.g. a parity condition might check that the edge has at most one acceptance index and the index is less than the colour count.
      Specified by:
        `isWellFormedEdge` in class `OmegaAcceptance`
      Parameters:
        `edge` - The edge to be checked.
      Returns:
        Whether the edge acceptance is well defined.